(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../../core/services/proxy.service"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const proxy_service_1 = require("../../../core/services/proxy.service");
    exports.proxyServiceFactory = (config) => {
        const { target, changeOrigin = true, followRedirects = false, ws = true } = config;
        return proxy_service_1.proxyService(Object.assign({ target,
            changeOrigin,
            followRedirects,
            ws }, config));
    };
});
//# sourceMappingURL=proxy.js.map