(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "ts-node"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const ts_node_1 = require("ts-node");
    /**
     * Loads ts-node when requested by the configuration
     */
    function checkRegisterTs(config) {
        if (config) {
            if (typeof config === 'boolean') {
                ts_node_1.register();
            }
            else {
                ts_node_1.register(config);
            }
        }
    }
    exports.checkRegisterTs = checkRegisterTs;
});
//# sourceMappingURL=addons.js.map