(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class HttpError {
        constructor(statusCode, message) {
            this.statusCode = statusCode;
            this.message = message;
        }
    }
    exports.HttpError = HttpError;
    function isHttpError(value) {
        return value && typeof value === 'object' && value.statusCode;
    }
    exports.isHttpError = isHttpError;
});
//# sourceMappingURL=HttpError.js.map