import { GuardFactory, HttpMethod } from '../interface';
export interface MethodGuardProperties {
    method: HttpMethod;
}
export declare const methodGuard: GuardFactory<MethodGuardProperties>;
export declare const method: {
    get: (route?: string | RegExp) => import("../interface").Guard;
    post: (route?: string | RegExp) => import("../interface").Guard;
    put: (route?: string | RegExp) => import("../interface").Guard;
    delete: (route?: string | RegExp) => import("../interface").Guard;
};
