import { LoggerInstance } from 'winston';
/**
 * Global logger instance used with Winston
 */
export declare let log: LoggerInstance;
/**
 * Change the global logger instance
 */
export declare function setLogger(logger: LoggerInstance): void;
/**
 * Sets the log level for all transports
 * @param level the log level
 */
export declare function setLogLevel(level: string): void;
