(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "body-parser"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const body_parser_1 = require("body-parser");
    exports.body = (options) => {
        const bodyParser = body_parser_1.json(options);
        return (request, response) => {
            return new Promise((resolve, reject) => {
                bodyParser(request, response, (err) => {
                    err ? reject(err) : resolve();
                });
            });
        };
    };
});
//# sourceMappingURL=body.processor.js.map