(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./header.processor"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const header_processor_1 = require("./header.processor");
    exports.cache = ({ cacheMethod }) => {
        return header_processor_1.header({ 'Cache-Control': cacheMethod });
    };
    exports.noCache = exports.cache({ cacheMethod: 'no-cache' });
});
//# sourceMappingURL=cache.processor.js.map