(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.header = (headers) => {
        return (_request, response) => {
            for (let [header, value] of Object.entries(headers)) {
                response.setHeader(header, value);
            }
        };
    };
});
//# sourceMappingURL=header.processor.js.map