import { ProcessFactory } from '../interface';
import { NPMLoggingLevel } from 'winston';
export interface LogProperties {
    level?: NPMLoggingLevel;
    logBody?: boolean;
}
export interface LogResponseProperties extends LogProperties {
    logIncomplete?: boolean;
}
export declare const log: ProcessFactory<LogResponseProperties>;
export declare const logResponse: ProcessFactory<LogResponseProperties>;
export declare const logRequest: ProcessFactory<LogProperties>;
