/// <reference types="node" />
import { RequestListener } from 'http';
import { ServerConfig } from './startServer';
export interface HttpConfig {
    timeout?: number;
    onRequest: RequestListener;
}
export declare function createHttpServer(config: HttpConfig): () => Promise<import("http").Server>;
export declare type StartHttpConfig = Omit<ServerConfig, 'createServer'> & HttpConfig;
export declare function startHttpServer(config: StartHttpConfig): Promise<import("./startServer").ServerControls>;
