/// <reference types="node" />
import { ServerOptions } from 'https';
import { ServerConfig } from './startServer';
import { RequestListener } from 'http';
export interface HttpsConfig {
    httpsOptions?: ServerOptions;
    timeout?: number;
    onRequest: RequestListener;
}
export declare function createHttpsServer(config: HttpsConfig): () => Promise<import("https").Server>;
export declare type StartHttpsConfig = Omit<ServerConfig, 'createServer'> & HttpsConfig;
export declare function startHttpsServer(config: StartHttpsConfig): Promise<import("./startServer").ServerControls>;
