(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.jsonTransform = (result, _request, response) => {
        if (!response.statusCode) {
            response.statusCode = 200;
        }
        response.setHeader('content-type', 'application/json');
        response.end(result && JSON.stringify(result));
    };
});
//# sourceMappingURL=json.transform.js.map