var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.textTransform = (result, _request, response) => __awaiter(void 0, void 0, void 0, function* () {
        if (!response.statusCode) {
            response.statusCode = 200;
        }
        response.setHeader('content-type', 'text/html');
        const eol = '\n';
        const output = Array.isArray(result)
            ? result.map((item) => (typeof item === 'object' ? JSON.stringify(item) : String(item))).join(eol)
            : JSON.stringify(result);
        response.end(output);
    });
});
//# sourceMappingURL=text.transform.js.map