/**
 * Provide a stream of responses from a producer
 */
export default class BufferedResponse<T> {
    private data;
    private done;
    private notifiers;
    add(item: T): void;
    close(): void;
    [Symbol.asyncIterator](): AsyncIterableIterator<T>;
    private isValue;
    private notify;
    private wait;
}
