/// <reference types="node" />
import { ServerOptions } from 'http-proxy';
import { ClientRequest, IncomingMessage, ServerResponse } from 'http';
import { Socket } from 'net';
import Server = require('http-proxy');
export interface CreateProxyOptions extends ServerOptions {
    target: string;
    onError?(err: Error): void;
    onProxyRequest?(proxyRequest: ClientRequest, request: IncomingMessage, response: ServerResponse, options: ServerOptions): void;
    onProxyResponse?(proxyResponse: IncomingMessage, request: IncomingMessage, response: ServerResponse): void;
    onWebsocketRequest?(proxyRequest: ClientRequest, request: IncomingMessage, socket: Socket, options: ServerOptions, head: any): void;
}
export declare function createProxy(options: CreateProxyOptions): Server;
