(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "fs"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const fs_1 = require("fs");
    function fileExists(path) {
        return new Promise((done) => {
            fs_1.exists(path, done);
        });
    }
    exports.fileExists = fileExists;
});
//# sourceMappingURL=exists.js.map