(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function htmlTemplate(title, body) {
        return `
		<html>
		<head>
			<title>${title}</title>
		</head>
		<body>
			${body}
		</form>
		</body>
		</html>
		`;
    }
    exports.htmlTemplate = htmlTemplate;
});
//# sourceMappingURL=htmlTemplate.js.map