(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../../core/services/chat.service"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const chat_service_1 = require("../../../core/services/chat.service");
    exports.chatServiceFactory = (config) => chat_service_1.chatService(config);
});
//# sourceMappingURL=chat.js.map