import { RequireSome } from '../../../core/interface';
import { CrudServiceProperties } from '../../../core/services/crud.service';
import { ServiceFactory } from '../../interfaces';
import { $Env, Environment } from '../../utils/environment';
export interface CrudConfig extends RequireSome<CrudServiceProperties, 'route'> {
    /** load crud data from disk */
    loadData?: {
        path: string;
    };
    [$Env]: Environment;
}
export declare const crudServiceFactory: ServiceFactory<CrudConfig>;
