import { FileServiceProperties } from '../../../core/services/file.service';
import { ServiceFactory } from '../../interfaces';
import { $Env, Environment } from '../../utils/environment';
export interface FileConfig extends Omit<FileServiceProperties, 'basePath' | 'path'> {
    basePath?: string;
    routes: {
        [key: string]: string;
    };
    [$Env]: Environment;
}
export declare const fileServiceFactory: ServiceFactory<FileConfig>;
