import { RequireSome } from '../../../core/interface';
import { UploadServiceProperties } from '../../../core/services/upload.service';
import { ServiceFactory } from '../../interfaces';
import { $Env, Environment } from '../../utils/environment';
export interface UploadConfig extends RequireSome<UploadServiceProperties, 'route'> {
    [$Env]: Environment;
}
export declare const uploadServiceFactory: ServiceFactory<UploadConfig>;
