var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "path", "../../../core/services/upload.service", "../../utils/environment"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const path_1 = require("path");
    const upload_service_1 = require("../../../core/services/upload.service");
    const environment_1 = require("../../utils/environment");
    exports.uploadServiceFactory = (_a) => {
        var _b = environment_1.$Env, { configPath } = _a[_b], config = __rest(_a, [typeof _b === "symbol" ? _b : _b + ""]);
        const { directory } = config;
        const absolute = directory ? path_1.resolve(configPath, directory) : path_1.resolve(configPath);
        return upload_service_1.uploadService(Object.assign(Object.assign({}, config), { directory: absolute }));
    };
});
//# sourceMappingURL=upload.js.map