(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../../core/HttpError"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const HttpError_1 = require("../../../core/HttpError");
    /**
     * After Process throws when a response hasn't been provided
     */
    exports.notFound = (_request, response) => {
        if (!response.finished) {
            throw new HttpError_1.HttpError(404 /* NotFound */);
        }
    };
});
//# sourceMappingURL=notFound.processor.js.map