/// <reference types="node" />
import { IncomingMessage } from 'http';
import { Process } from '../../interface';
export interface IncomingFile {
    fieldName: string;
    file: NodeJS.ReadableStream;
    filename: string;
    encoding: string;
    mimeType: string;
}
export declare const fileProcessor: Process;
export interface IncomingFiles extends IncomingMessage {
    files(): AsyncIterableIterator<IncomingFile>;
}
export declare function hasIncomingFiles(request: any): request is IncomingFiles;
