import { ProcessFactory } from '../interface';
export declare type CacheMethods = 'must-revalidate' | 'no-cache' | 'no-store' | 'no-transform' | 'public' | 'private' | 'proxy-revalidate' | string;
export interface CacheProperties {
    cacheMethod: CacheMethods;
}
export declare const cache: ProcessFactory<CacheProperties>;
export declare const noCache: import("../interface").Process;
