(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./header.processor"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const header_processor_1 = require("./header.processor");
    exports.cors = ({ origin = '*' }) => {
        return header_processor_1.header({
            'Access-Control-Allow-Origin': origin
        });
    };
});
//# sourceMappingURL=cors.processor.js.map