import { Middleware, Route, RouteDescriptor } from './interface';
export declare type RouteFactory = (options: RouteDescriptor) => Route;
export interface MultiRouteProperties {
    routes: Array<RouteDescriptor | Route>;
}
export declare function isRoute(value: any): value is Route;
export declare const route: RouteFactory;
export declare const multiroute: (list: (Route | RouteDescriptor)[]) => Middleware;
