(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./json.transform"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const json_transform_1 = require("./json.transform");
    exports.acceptTransform = (result, request, response) => {
        if (request.headers['accept']) {
            // TODO support accept headers
            // https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept
        }
        json_transform_1.jsonTransform(result, request, response);
    };
});
//# sourceMappingURL=accept.transform.js.map